/* CREDITS:
Pain96 for the algorithm reading from a file
*/
#include <amxmodx>

#pragma semicolon 1

#define PLUGIN "Rules Map"
#define VERSION "1.0"
#define AUTHOR "NanoDesu^^"

#define FILE "/addons/amxmodx/configs/rules/maps.ini"

/* ----------------HUD SETTINGS---------------*/
#define COLOR_R 255
#define COLOR_G 255
#define COLOR_B 0

#define POZITION_X 0.01
#define POZITION_Y 0.01
/* -------------------------------------------*/

new szMap[64], szMapRules[256];

public plugin_init() {
	register_plugin( PLUGIN, VERSION, AUTHOR );
	
	get_mapname( szMap, charsmax( szMap ));
	
	WriteRules();
	
	set_hudmessage( COLOR_R, COLOR_G, COLOR_B, POZITION_X, POZITION_Y, 0, 6.0, 1.0);
	
	set_task( 1.0, "ShowRules", 12345 ,_,_, "b" );
}

public ShowRules() {
	replace_all( szMapRules, charsmax( szMapRules ), "\n", "^n" );
	
	if(contain(szMapRules, "%s") != -1)
		show_hudmessage( 0, szMapRules, szMap );
	else
		show_hudmessage( 0, szMapRules );
}

public plugin_end() {
	remove_task(12345);
}

stock WriteRules() {
	new szInfo[256], szInfoMap[64], szInfoRules[256], iNum;
	
	for( new iLine = 0; read_file(FILE, iLine, szInfo, charsmax(szInfo), iNum); iLine++ ) {
		if( iNum && szInfo[0] != ';' ) {
			parse( szInfo, szInfoMap, charsmax( szInfoMap ),
			szInfoRules, charsmax( szInfoRules ));

			if (equal( szMap, szInfoMap )) {
				formatex( szMapRules, charsmax( szMapRules ), szInfoRules );
				break;
			}
		}
	}
}